<?php
/**
 * Invoice Ninja (https://invoiceninja.com).
 *
 * @link https://github.com/invoiceninja/invoiceninja source repository
 *
 * @copyright Copyright (c) 2022. Invoice Ninja LLC (https://invoiceninja.com)
 *
 * @license https://www.elastic.co/licensing/elastic-license
 */

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\App;
use Illuminate\Support\Facades\Auth;

class VendorLocale
{
    /**
     * Handle an incoming request.
     *
     * @param  Request  $request
     * @param Closure $next
     * @return mixed
     */
    public function handle($request, Closure $next)
    {

        if (auth()->guard('contact')->check()) {
            auth()->guard('contact')->logout();
            $request->session()->invalidate();
        }


        /*LOCALE SET */
        if ($request->has('lang')) {
            $locale = $request->input('lang');
            App::setLocale($locale);
        } elseif (auth()->guard('vendor')->user()) {
            App::setLocale(auth()->guard('vendor')->user()->company->locale());
        } elseif (auth()->user()) {

            try{
                App::setLocale(auth()->user()->company()->getLocale());
            }
            catch(\Exception $e){
            }

        } else {
            App::setLocale(config('ninja.i18n.locale'));
        }

        return $next($request);
    }
}
